import objectdraw.*;
import java.awt.*;

// A class that constructs a panel that can be used to experiment with the
// behavior of the "toUpperCase" method of the String class.

public class ToUpperTester extends StringInput implements StringOpTester {

	// Perform "toUpperCase" operation when requested
	public String doIt() {
		return "" + sourceField.getText().toUpperCase();

	}

	// Return the name of the method this class invokes
	public String getChoiceLabel() {
		return "toUpperCase";
	}

	// Return the name of the method this class invokes
	public String toString() {
		return "toUpperCase";
	}
}
