import objectdraw.*;
import java.awt.*;

// A class that constructs a panel that can be used to experiment with the
// behavior of the "startsWith" method of the String class.
public class StartsWithTester extends TwoStringInput implements StringOpTester {

    // Perform "startsWith" operation when requested
    public String doIt() {
	return "" + sourceField.getText().startsWith(soughtString.getText());
	
    }

    // Return the name of the method this class invokes
    public String getChoiceLabel() {
	return "startsWith";
    }

	// Return the name of the method this class invokes
	public String toString() {
	return "startsWith";
	}
}
